Category: Ruby on Rails

Error: “checking for my_bool in mysql.h… no” While Installing MySQL2 Gem on Mojave

The necessary header files location for compiling C extensions had changed on Mojave. You need to run the following command to install mysql2, pg, nokogiri, or other gems that require C extensions : $ sudo installer -pkg /Library/Developer/CommandLineTools/Packages/macOS_SDK_headers_for_macOS_10.14.pkg -target / Then install mysql2 gem : $ gem install mysql2 — –with-mysql-config=/usr/local/Cellar/mysql/<mysql_version>/bin/mysql_config

Error while install mysql2 ruby gem

How to fix “An error occurred while installing mysql2 (*)” when install mysql2 ruby gem ? The solution is just run this command on your terminal : On Ubuntu : $ sudo apt-get install libmysqlclient-dev On Redhat / Centos / Fedora : $ sudo yum install mysql-devel On Mac OSX with Homebrew : $ brew […]

How To Fix Error “checking for libpq-fe.h… no” While Installing PG Gem on Ubuntu & Mac

To resolve this error on Ubuntu just run : $ sudo apt-get install libpq-dev And on Mac : gem install pg -v ‘0.20.0’ — –with-pg-config=/Applications/Postgres.app/Contents/Versions/11/bin/pg_config Just change the pg gem version and PostgreSQL version depending on your need.

How To Fix can’t find gem bundler (>= 0.a) with executable bundle (Gem::GemNotFoundException)

If you got this error : $ bundle Traceback (most recent call last): 2: from /home/ubuntu-user/.rbenv/versions/2.5.1/bin/bundle:23:in `<main>’ 1: from /home/ubuntu-user/.rbenv/versions/2.5.1/lib/ruby/2.5.0/rubygems.rb:308:in `activate_bin_path’ /home/ubuntu-user/.rbenv/versions/2.5.1/lib/ruby/2.5.0/rubygems.rb:289:in `find_spec_for_exe’: can’t find gem bundler (>= 0.a) with executable bundle (Gem::GemNotFoundException) when bundling your gem on your rails app, the solution to fix is easy. Just updating your gem system using this command […]

How to Install PostgreSQL For Local Rails Development On Ubuntu 19.04

Before install PostgreSQL we need to update apt package list to do so : sudo apt update After that we can install PostgreSQL and dependencies : sudo apt install postgresql postgresql-contrib To switch into Postgres account : sudo -i -u postgres Now you can access PostgreSQL prompt by running command : psql Exit out of […]

How To Install RMagick and ImageMagick on Ubuntu 19.04

Here is the way to install rmagick and imagemagick on your ubuntu 19.04. Update Ubuntu APT package list by run this command : sudo apt update Install ImageMagick and its dependencies : sudo apt-get install imagemagick libmagickcore-dev libmagickwand-dev -y Verify if imagemagick had succesfully installed : convert -v The output should similar like this : […]

How To Install Ruby on Rails 6 with Jemalloc on Linux Ubuntu 19.04

Here is the steps to install Ruby on Rails 6 with Jemalloc on Linux Ubuntu 19.04 First we need to update & upgrade ubuntu packages : sudo apt update && sudo apt upgrade Then install its dependencies : sudo apt install autoconf bison build-essential libssl-dev libyaml-dev libreadline6-dev zlib1g-dev libncurses5-dev libffi-dev libgdbm5 libgdbm-dev libjemalloc-dev git -y […]

Install Ruby on Rails with Jemalloc on Linux Ubuntu

Install Ruby on Rails with Jemalloc on Linux Ubuntu First of all we need to update & upgrade ubuntu packages : sudo apt update && sudo apt upgrade Then install its dependencies : sudo apt install autoconf bison build-essential libssl-dev libyaml-dev libreadline6-dev zlib1g-dev libncurses5-dev libffi-dev libgdbm5 libgdbm-dev libjemalloc-dev git -y Next, clone rbenv repository from […]

Scroll to Top